Package: org.gradle.testing.jacoco.plugins

## [Groovy] Enum Output

- org.gradle.testing.jacoco.plugins.JacocoTaskExtension.Output

- The types of output that the agent can use for execution data.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `FILE` |
    `NONE` |
    `TCP_CLIENT` |
    `TCP_SERVER` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getAsArg()` Gets type in format of agent argument.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### JacocoTaskExtension.Output FILE

    - #### JacocoTaskExtension.Output NONE

    - #### JacocoTaskExtension.Output TCP_CLIENT

    - #### JacocoTaskExtension.Output TCP_SERVER

  - ### Method Detail

    - #### String getAsArg()

      Gets type in format of agent argument.